DSCREATE(8)

NAME
dscreate

SYNOPSIS
dscreate [-h] [-v] [-j] {from-file,interactive,create-template,ds-root} ...

POSITIONAL ARGUMENTS

dscreate from-file
    Create an instance of Directory Server from an inf answer file

dscreate interactive
    Start interactive installer for Directory Server installation

dscreate create-template
    Display an example inf answer file, or provide a file name to write it to disk.

dscreate ds-root
    Prepare a root directory in which non root user can create, run and administer instances.

COMMAND 'dscreate from-file'
usage: dscreate from-file [-h] [-n] file

file
    Inf file to use with prepared answers. You can generate an example of this with 'dscreate create-template'

OPTIONS 'dscreate from-file'

-n, --dryrun
    Validate system and configurations only. Do not alter the system.

COMMAND 'dscreate interactive'
usage: dscreate interactive [-h]

COMMAND 'dscreate create-template'
usage: dscreate create-template [-h] [--advanced] [template_file]

template_file
    Write example template to this file

OPTIONS 'dscreate create-template'

--advanced
    Add advanced options to the template - changing the advanced options may make your instance install fail

COMMAND 'dscreate ds-root'
usage: dscreate ds-root [-h] root_dir [bin_dir]

root_dir
    A directory that will be used as virtual root.

bin_dir
    A directory in which administration wrappers are installed. (Should be in PATH)

OPTIONS

-v, --verbose
    Display verbose operation tracing during command execution

-j, --json
    Return the result as a json message

COMMENTS
Example of install by a non root user:
    PATH=$HOME/bin:$PATH # Should be in .profile
    dscreate ds-root $HOME/mydsroot $HOME/bin
    hash -d dscreate # bash command to insure new dscreate wrapper will be used
    dscreate interactive
    # Note: Make sure to use non priviledged port number (i.e > 1000)

AUTHOR
Red Hat, Inc., and William Brown <389-devel@lists.fedoraproject.org>

DISTRIBUTION
The latest version of lib389 may be downloaded from http://www.port389.org/docs/389ds/FAQ/upstream-test-framework.html